[meta] Use proper naming convention for react component files
All react component files in DevTools should use  naming convention. This is the standard in React community and many of the DevTools component files already follow this rule.

See also 

This is meta report covering the refactoring goal. Please file follow up bugs as necessary.

Honza
